<div id="{$PLUGIN_NAME}" class="tab_content">
	<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
	<input type="hidden" name="token" value="{$SESSION_TOKEN}" />
	
	<h3>{$PLUGIN_TITLE}</h3>

	<fieldset><legend>{$LANG.store_locator.configuration_settings}</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
		<div><label for="default_lat">{$LANG.store_locator.default_latitude}</label><span><input placeholder="54.162957" name="module[default_latitude]" id="default_latitude" class="textbox" type="text" value="{$MODULE.default_latitude}" /></span></div>
		<div><label for="default_lng">{$LANG.store_locator.default_longitude}</label><span><input placeholder="-1.818066" name="module[default_longitude]" id="default_longitude" class="textbox" type="text" value="{$MODULE.default_longitude}" /></span></div>
		<div><label for="default_map_zoom">{$LANG.store_locator.default_map_zoom_level}</label><span><select name="module[default_zoom_level]" id="default_map_zoom" class="textbox">
			<option value="1" {if $MODULE.default_zoom_level == "1"}selected{/if}>1</option>
			<option value="2" {if $MODULE.default_zoom_level == "2"}selected{/if}>2</option>
			<option value="3" {if $MODULE.default_zoom_level == "3"}selected{/if}>3</option>
			<option value="4" {if $MODULE.default_zoom_level == "4"}selected{/if}>4</option>
			<option value="5" {if $MODULE.default_zoom_level == "5"}selected{/if}>5</option>
			<option value="6" {if $MODULE.default_zoom_level == "6"}selected{/if}>6</option>
			<option value="7" {if $MODULE.default_zoom_level == "7"}selected{/if}>7</option>
			<option value="8" {if $MODULE.default_zoom_level == "8"}selected{/if}>8</option>
			<option value="9" {if $MODULE.default_zoom_level == "9"}selected{/if}>9</option>
			<option value="10" {if $MODULE.default_zoom_level == "10"}selected{/if}>10</option>
		</select></span></div>			
		<div><label for="default_radius">{$LANG.store_locator.default_radius}</label><span><input placeholder="10,20,30,40,50,100,200" name="module[default_radius]" id="default_radius" class="textbox" type="text" value="{$MODULE.default_radius}" /></span></div>
	</fieldset>

	<fieldset><legend>{$LANG.store_locator.license_settings}</legend>
		<div><label for="ndl_license_key">{$LANG.store_locator.license_key}</label><span><input name="module[ndl_license_key]" id="ndl_license_key" class="textbox" type="text" value="{$PLUGIN_LICENSE_KEY}" /></span></div>

		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
		
		<input type="hidden" name="module[general_tab]" value="general_tab">
	</fieldset>

	<fieldset><legend>{$LANG.store_locator.plugin_version_and_messages}</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{if isset($PLUGIN_MESSAGES)}
			{$PLUGIN_MESSAGES}
		{/if}
	</fieldset>	

	<div class="form_control">
		<input type="submit" value="{$LANG.common.save}" />
	</div>				
	
	</form>
</div>

<div id="search_locations" class="tab_content">

	<form action="{$VAL_SELF}#search_locations" method="post" enctype="multipart/form-data">
	<input type="hidden" name="token" value="{$SESSION_TOKEN}" />

	<h3>{$LANG.store_locator.locations}</h3>
	
	<table>
		<caption>{$LANG.store_locator.new_location}</caption>
		<thead>
			<tr>
				<td>{$LANG.store_locator.name}</td>
				<td>{$LANG.store_locator.address}</td>
				<td>{$LANG.store_locator.latitude}</td>
				<td>{$LANG.store_locator.longitude}</td>
				<td>{$LANG.store_locator.phone_number}</td>
				<td>{$LANG.store_locator.website_address}</td>
				<td>{$LANG.store_locator.custom_information}</td>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td><input type="text" name="newloc[location_name]" maxlength="60" style="width:210px;" /></td>
				<td><input type="text" name="newloc[location_address]" maxlength="80" style="width:290px;" /></td>
				<td><input type="text" name="newloc[location_lat]" /></td>
				<td><input type="text" name="newloc[location_long]" /></td>
				<td><input type="text" name="newloc[phone_number]" maxlength="24" /></td>
				<td><input type="text" name="newloc[website_address]" maxlength="256" style="width:290px;" /></td>
				<td><input type="text" name="newloc[custom_info]" maxlength="80" style="width:290px;" /></td>
			</tr>
		</tbody>
	</table>		

	<div class="form_control">
		<input type="submit" value="{$LANG.common.save}" />
	</div>		
	<br/><br/>
	
	<table>
		<caption>{$LANG.store_locator.existing_location}</caption>
		<thead>
			<tr>
				<td>&nbsp;</td>
				<td>{$LANG.store_locator.name}</td>
				<td>{$LANG.store_locator.address}</td>
				<td>{$LANG.store_locator.latitude}</td>
				<td>{$LANG.store_locator.longitude}</td>
				<td>{$LANG.store_locator.phone_number}</td>
				<td>{$LANG.store_locator.website_address}</td>				
				<td>{$LANG.store_locator.custom_information}</td>
			</tr>
		</thead>
		
		<tbody>
			{foreach from=$STORE_LOCATIONS item=location}
				<tr>
					<td><a href="{$VAL_SELF}&act=del&lid={$location.id}#search_locations"><img src="modules/plugins/store_locator/images/delete.png"></a></td>
					<td style="width:304px;"><span class="editable" name="editloc[{$location.id}][name]" title="{$LANG.store_locator.click_to_edit}">{$location.name}</span></td>
					<td style="width:304px;"><span class="editable text" name="editloc[{$location.id}][address]" title="{$LANG.store_locator.click_to_edit}">{$location.address}</span></td>
					<td style="width:104px;"><span class="editable number" name="editloc[{$location.id}][lat]" title="{$LANG.store_locator.click_to_edit}">{$location.lat}</span></td>
					<td style="width:104px;"><span class="editable number" name="editloc[{$location.id}][lng]" title="{$LANG.store_locator.click_to_edit}">{$location.lng}</span></td>
					<td style="width:104px;"><span class="editable text" name="editloc[{$location.id}][phone]" title="{$LANG.store_locator.click_to_edit}">{$location.phone}</span></td>
					<td style="width:304px;"><span class="editable text" name="editloc[{$location.id}][website]" title="{$LANG.store_locator.click_to_edit}">{$location.website}</span></td>
					<td style="width:304px;"><span class="editable text" name="editloc[{$location.id}][custom_info]" title="{$LANG.store_locator.click_to_edit}">{$location.custom_info}</span></td>
				</tr>
			{/foreach}
		</tbody>
	</table>

	<div class="form_control">
		<input type="submit" value="{$LANG.common.save}" />
	</div>				
</div>

<div id="install_guide" class="tab_content">
	<h3>Install Guide and Notes</h3>

	<p>The store locator module adds store finder functionality to CubeCart using google maps as the mapping engine. You can add a map to any customer facing area within your store by either adding the code to your documents, categories or product descriptions. If required you can also add maps directly to your store skin template files. The steps and code below has been provided as an example on how to add a map to a document. You can adapt the code to suit your needs or match your store skin.</p>

	<p>This module does not require any core code changes to your store. The only code that needs to be added is to add the map to the pages of your choice. Before you add the map to your site you should configure the module. Firstly set the default latitude and longitude. This is the location the map will center when it first loads. You can easily find the coordinates by going to google maps, right clicking on the map and selecting &quot;Whats Here&quot;, The coordinates are found at the bottom of the information window. Set the default map soom level, level 1 shows the entire world map, where as level 10 is zoomed in close to your default coordinates. You should also define your list of radius selections. These are the options your customer will be able to choose from the drop down menu. And lastly, make sure the module is enabled and the license is reporting a valid status.</p>
	
	<p>You can define your store locations under the &quot;Searchable Locations&quot; tab. Add the name, address and coordinates of the store. The name and address will appear on the map when the marker is selected. You can edit existing locations by simply clicking on the text you wish to modify, it will change into an editable box.<p>
	
	<p>And now on to the fun bit... Let's create a new document from the admin area of your store. Give the document a name, for example &quot;Store Locator&quot;. Enable the &quot;Parse Smarty Tags&quot; setting, then go to the &quot;content&quot; tab, press the &quot;source&quot; button. This puts the text editor into a mode where it can accept HTML code directly. Copy and paste the code from the box below into the document and press save. Your map should now be working!</p>
	
	<p>Should you require any assistance please do not hesitate to reach out to Noodleman via the support portal which is found <a href="https://www.noodleman.co.uk/support">https://www.noodleman.co.uk/support<a/></p>
	
{literal}<textarea style="width:90%; height:600px;">
<!-- Call the script function to load the map. -->
<script>
window.onload = function() {
  load();
};		
</script>


<div>
	<!-- The postcode input area -->
	<label for="addressInput">Your Postcode</label>
	<input id="addressInput" size="10" type="text" placeholder="Your Postcode"> 
	
	<!-- The radius selection -->
	<label for="radiusSelect">Stores Within Distance</label>
	<select id="radiusSelect">
		<!-- Where possible the module will load the radius options from the plugin configuration, however you can manually add the HTML options here instead if required -->
		{foreach from=$DISTANCE_OPTIONS item=option}
			<option value="{$option}">{$option}mi</option>
		{/foreach}
	</select> 
	
	<!-- The Search button -->
	<input onclick="searchLocations()" class="button" type="button" value="Search">
</div>

<div>
	<!-- A drop down menu of found locations. You can comment out or remove this line if you do not want to use the list -->
	<select id="locationSelect" style="width:100%;visibility:hidden"></select>
</div>

<!-- This DIV gets populated with the map. You can adjust the height and width of the div to resize your map to your requirements -->
<div id="map" style="width: 100%; height: 500px;"></div>

<!-- Some padding at the bottom of the document, not normally required -->
<br/><br/>
</textarea>{/literal}
	
	
	

</div>